## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# csZScaleMatrix3 Class Reference
[Geometry utilities]

An instance of csMatrix3 that is initialized to scale the Z dimension. More...

`#include <csgeom/matrix3.h>`

Inheritance diagram for csZScaleMatrix3:

[legend]
List of all members.

## Public Member Functions

| csZScaleMatrix3 (float scaler)
| Return a matrix which scales in the Z dimension.

## Detailed Description

An instance of csMatrix3 that is initialized to scale the Z dimension.

Definition at line 267 of file matrix3.h.

## Constructor & Destructor Documentation

csZScaleMatrix3::csZScaleMatrix3 | ( | float | scaler | ) | `[inline]`

| Return a matrix which scales in the Z dimension. Definition at line 273 of file matrix3.h.

The documentation for this class was generated from the following file:

- csgeom/matrix3.h